Subject: bug#49978: 28.0.50; grep-highlight-matches auto-detection broken on macOS [PATCH]

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Aug 2021 16:57:41 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Tue, 10 Aug 2021 15:39:04 +0200
> Cc: [email-masked]
> 
> 10 aug. 2021 kl. 15.23 skrev Eli Zaretskii <[email-masked]>:
> 
> > Although perhaps we should strengthen the
> > search string to be sure we don't hit some false positive: "--color"
> > sounds a bit too general, no?  Or do you think it's good enough even
> > if "--help" causes a non-zero exit code?
> 
> I honestly don't know. The patch works here (obviously) but strengthening it using a regexp to avoid matching "--colorise", say, probably won't hurt. Not that it's very likely that this would ever make a difference, but if you think that it's better safe then sorry then I'll do that.

I think just looking for "--color[[]?=" should go a long way towards
avoiding false positives.  WDYT?

Lars, any comments?

Btw, is this usage message translatable?  If so, perhaps we should
inject LC_ALL=C when running the probe?